Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 848579 - net-im/pidgin-2.14.10: security stabilisation
Summary: net-im/pidgin-2.14.10: security stabilisation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: CC-ARCHES, PullRequest, SECURITY
Depends on:
Blocks: CVE-2022-26491 python3.10-stable
  Show dependency tree
 
Reported: 2022-05-31 02:38 UTC by Sam James
Modified: 2022-08-21 02:31 UTC (History)
1 user (show)

See Also:
Package list:
net-im/pidgin-2.14.10
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-05-31 02:38:00 UTC
Needed for Python 3.10 in stable & security bug.
Comment 1 NATTkA bot gentoo-dev 2022-05-31 02:40:20 UTC Comment hidden (obsolete)
Comment 2 Larry the Git Cow gentoo-dev 2022-06-01 04:33:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2853dd89b2efe85382d23a811d5e350fd55ae28

commit a2853dd89b2efe85382d23a811d5e350fd55ae28
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-06-01 04:33:39 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-06-01 04:33:53 +0000

    profiles/arch/sparc: mask pidgin[v4l]
    
    Bug: https://bugs.gentoo.org/848579
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/arch/sparc/package.use.stable.mask | 4 ++++
 1 file changed, 4 insertions(+)
Comment 3 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-02 17:11:18 UTC
ping
Comment 4 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-03 06:34:22 UTC
The Pidgin 2.14.0 release notes mention regressions fixed from 2.14.9 so perhaps better to add & stable that instead.
Comment 5 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-06-12 17:53:32 UTC
(In reply to Sam James from comment #4)
> The Pidgin 2.14.0 release notes mention regressions fixed from 2.14.9 so
> perhaps better to add & stable that instead.

...?
Comment 6 Jakov Smolić archtester gentoo-dev 2022-06-17 10:29:09 UTC
x86 done
Comment 7 Jakov Smolić archtester gentoo-dev 2022-06-17 10:29:20 UTC
amd64 done
Comment 8 Jakov Smolić archtester gentoo-dev 2022-06-17 10:44:02 UTC
ppc64 done
Comment 9 Jakov Smolić archtester gentoo-dev 2022-06-22 13:12:11 UTC
arm64 done
Comment 10 Arthur Zamarin archtester gentoo-dev 2022-06-22 16:02:07 UTC
arm done
Comment 11 ernsteiswuerfel archtester 2022-06-28 00:25:16 UTC
Looking good on ppc.

 # cat pidgin-848579.report 
USE tests started on Di 28. Jun 00:44:41 CEST 2022

FEATURES=' test' USE='' succeeded for =net-im/pidgin-2.14.10
USE='-dbus -doc -eds -gadu -gnutls -groupwise gstreamer -gtk idn -meanwhile ncurses -networkmanager -nls -perl -pie -prediction -python sasl -spell tcl -tk v4l -xscreensaver -zeroconf' succeeded for =net-im/pidgin-2.14.10
USE='-dbus -doc eds gadu gnutls groupwise gstreamer gtk idn meanwhile ncurses -networkmanager nls perl -pie -prediction -python sasl spell -tcl tk v4l -xscreensaver -zeroconf' succeeded for =net-im/pidgin-2.14.10
USE='-dbus doc -eds gadu gnutls groupwise gstreamer -gtk idn meanwhile ncurses -networkmanager nls -perl pie prediction -python sasl spell -tcl tk v4l -xscreensaver -zeroconf' succeeded for =net-im/pidgin-2.14.10
USE='-dbus doc -eds gadu -gnutls -groupwise -gstreamer -gtk -idn meanwhile -ncurses -networkmanager -nls -perl pie -prediction -python -sasl spell -tcl -tk -v4l xscreensaver -zeroconf' succeeded for =net-im/pidgin-2.14.10
USE='-dbus doc -eds -gadu gnutls groupwise gstreamer -gtk -idn -meanwhile ncurses -networkmanager -nls -perl pie prediction -python -sasl -spell tcl tk v4l xscreensaver -zeroconf' succeeded for =net-im/pidgin-2.14.10
USE='-dbus -doc eds -gadu -gnutls groupwise gstreamer -gtk -idn -meanwhile ncurses -networkmanager -nls perl pie -prediction -python -sasl -spell -tcl -tk -v4l -xscreensaver zeroconf' succeeded for =net-im/pidgin-2.14.10
USE='-dbus doc -eds -gadu -gnutls -groupwise -gstreamer -gtk -idn meanwhile -ncurses -networkmanager -nls -perl pie -prediction -python sasl -spell tcl -tk -v4l -xscreensaver zeroconf' succeeded for =net-im/pidgin-2.14.10
USE='-dbus -doc -eds -gadu -gnutls -groupwise gstreamer gtk idn meanwhile -ncurses -networkmanager nls perl -pie -prediction -python sasl -spell tcl -tk v4l -xscreensaver zeroconf' succeeded for =net-im/pidgin-2.14.10
USE='-dbus doc eds gadu -gnutls groupwise -gstreamer -gtk -idn meanwhile ncurses -networkmanager nls perl pie -prediction -python sasl -spell -tcl tk -v4l xscreensaver zeroconf' succeeded for =net-im/pidgin-2.14.10
USE='-dbus -doc -eds -gadu gnutls groupwise -gstreamer -gtk -idn -meanwhile -ncurses -networkmanager -nls -perl -pie prediction -python sasl spell -tcl tk -v4l xscreensaver zeroconf' succeeded for =net-im/pidgin-2.14.10
USE='-dbus -doc -eds gadu -gnutls groupwise gstreamer -gtk -idn meanwhile -ncurses -networkmanager nls perl pie prediction -python -sasl spell -tcl -tk v4l xscreensaver zeroconf' succeeded for =net-im/pidgin-2.14.10
USE='-dbus doc -eds -gadu -gnutls -groupwise gstreamer -gtk -idn meanwhile -ncurses -networkmanager nls -perl -pie prediction -python sasl spell -tcl tk v4l xscreensaver zeroconf' succeeded for =net-im/pidgin-2.14.10

revdep tests started on Di 28. Jun 02:11:22 CEST 2022

FEATURES=' test' USE='' succeeded for x11-plugins/guifications
FEATURES=' test' USE='' succeeded for x11-plugins/pidgin-musictracker
FEATURES=' test' USE='purple' succeeded for net-im/bitlbee
FEATURES=' test' USE='pidgin' succeeded for media-sound/cmus
FEATURES=' test' USE='' succeeded for x11-plugins/pidgin-hotkeys
FEATURES=' test' USE='' succeeded for x11-plugins/pidgin-otr
FEATURES=' test' USE='' succeeded for x11-plugins/pidgin-extprefs
FEATURES=' test' USE='' succeeded for x11-plugins/pidgin-libnotify
FEATURES=' test' USE='' succeeded for x11-plugins/pidgin-encryption
Comment 12 matoro archtester 2022-06-29 20:24:50 UTC
While testing this, I found that if you run the test suite without dev-libs/check installed, it will just run an empty (automatically passing) testsuite without actually testing anything.

I've opened a PR to fix this here:  https://github.com/gentoo/gentoo/pull/26155

However I think this means that existing test results may be invalid.  Once this is fixed, can we reset to all arches again?
Comment 13 Joonas Niilola gentoo-dev 2022-06-30 07:00:08 UTC
Seeing the first arches were stabilized ~2 weeks ago I don't think it's necessary. We would've received bug reports if it was broken by now, at least on the more popular arches. 

I'll test the PR on a stable amd64 and see what happens. Nice find btw!
Comment 14 Joonas Niilola gentoo-dev 2022-06-30 07:48:06 UTC
 * Failed running 'intltoolize'!
 * 
 * Include in your bug report the contents of:
 * 
 *   /var/tmp/portage/net-im/pidgin-2.14.10/temp/intltoolize.out

 * ERROR: net-im/pidgin-2.14.10::gentoo failed (prepare phase):
 *   Failed running 'intltoolize'!

...

[binary  N     ] dev-util/intltool-0.51.0-r3-1::gentoo  0 KiB

...

success.
(lost the .out file after pkg-testing-tool automatically continued to run with FEATURES="test")
Comment 15 Joonas Niilola gentoo-dev 2022-06-30 07:50:00 UTC
ppc done
Comment 16 Larry the Git Cow gentoo-dev 2022-06-30 07:51:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a434ee9548bdb12437df73f007b247d946bf44ac

commit a434ee9548bdb12437df73f007b247d946bf44ac
Author:     matoro <matoro@users.noreply.github.com>
AuthorDate: 2022-06-29 20:15:15 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2022-06-30 07:51:06 +0000

    net-im/pidgin: add IUSE=test with dev-libs/check dep
    
    It turns out that if you "make check" without dev-libs/check installed,
    rather than erroring it just runs and empty test suite that
    automatically passes.  Logic here:
    https://keep.imfreedom.org/pidgin/pidgin/file/v2.14.10/configure.ac#l2456
    You can actually see that Debian made the same mistake:
    https://buildd.debian.org/status/fetch.php?pkg=pidgin&arch=amd64&ver=2.14.10-1&stamp=1654236435&raw=0
    
    Bug: https://bugs.gentoo.org/848579
    Closes: https://github.com/gentoo/gentoo/pull/26155
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 net-im/pidgin/pidgin-2.14.10.ebuild | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)
Comment 17 matoro archtester 2022-07-04 23:10:42 UTC
sparc done

all arches done
Comment 18 Larry the Git Cow gentoo-dev 2022-08-21 02:31:54 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81d57dd71121fabff702a84951b339679240ebeb

commit 81d57dd71121fabff702a84951b339679240ebeb
Author:     matoro <matoro@users.noreply.github.com>
AuthorDate: 2022-07-05 18:28:32 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-08-21 02:30:00 +0000

    metadata/install-qa-check.d: add 60noop-testsuites
    
    This attempts to catch autotools-based tests that will pass without
    actually executing any tests due to automagic-based rules like the
    presence/absence of a dependency.
    
    (sam: This was written based on my notes for implementation.)
    
    Bug: https://bugs.gentoo.org/848579
    Closes: https://github.com/gentoo/gentoo/pull/26237
    Signed-off-by: Sam James <sam@gentoo.org>

 metadata/install-qa-check.d/60noop-testsuites | 28 +++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)